@echo off
REM **********************************************************************
REM       * THIS FILE NEEDED FOR THE NODEVIEW DOWNLOAD FUNCTIONS *
REM ***********************************************************************
REM
REM I use the CEXYZ download protocol engine for all my downloading.
REM CEXYZ is Copyright (C) 1993 by Cutting Edge Computing
REM (The Blue Wave QWk Mail Door maker's).
REM It looks and works great plus it uses very little resources!
REM I suggest using CEXYZ to take full advantage of the current download
REM menu's, otherwise you'll have to edit the menus and find other programs
REM for your download menu. Some of you will like this option though, because
REM of it's flexibility allowing alternate protocol's.
REM If you want to use the CEXYZ program, then all you'll need to do
REM is copy the CEXYZ.EXE file to the Nodeview home directory and your done!
REM You can file request FileName CE-XYZ.ZIP from my BBS at fido 
REM 1:205/65 or call and download first call.
REM
REM ***********************************************************************
REM
REM For those that wish to use their own download programs such as DSZ
REM IceZmodem, etc.  The following will be passed on the command line
REM for your Protocol, trap the %4 variable in your batch file for your
REM protocol of choice. You could actually use any protocol that you'd
REM like to use! You could edit the download menu and substitute your 
REM protocol's on the menu and then trap the %4 errorlevel in this batch
REM file to load any protocol that you like! See below for example.
REM
REM ************************************
REM ** PARAMETERS PASSED BY NODEVIEW  **
REM ************************************
REM %1=Port %2=Baud %3=Locked Baud %4=Protocol %5=Filename %6=Username
REM IF "%4"=="/Sz"   Goto Zmodem
REM IF "%4"=="/Szap" Goto ZedZap
REM IF "%4"=="/Sy"   Goto Ymodem
REM IF "%4"=="/Syg"  Goto Ymodem-G
REM IF "%4"=="/Sx1k" Goto Xmodem-1K
REM IF "%4"=="/Sx"   Goto Xmodem
REM ************************************
REM **     CEXYZ PARAMETERS USED      **
REM ************************************
REM /P%1=Port /B%2=Baud /L%3=Locked Baud %4=Protocol %5=Filename %6=Username
REM /Ufos /UDir /UFas
REM ***********************************************************************
REM  /U<method>   -  The /U command line parameter tells the FTP which serial
REM                  communications method to use.  The <method> can be one of
REM                  the following:
REM               /Ufos  -  Use the installed FOSSIL for port communications.
REM                         This is the default mode.  If you want FOSSIL
REM                         communications, you need not specify a /U
REM                         parameter.
REM
REM               /Udir  -  Use direct (standard) communications.  Next to
REM                         having an installed, working FOSSIL driver, this
REM                         method is the most compatible.
REM
REM               /Ufas  -  Use the FAST, interrupt driven communications
REM                         routines.  This may not be compatible with all
REM                         serial cards and/or BIOS.  The FTP will "take
REM                         over" INT 14h, and restore the previous 14h
REM                         vector upon termination.  (This should allow you
REM                         to use /Ufas, even if you also have a FOSSIL
REM                         driver installed.  A FOSSIL "int 14 recapture"
REM                         should *not* be necessary upon normal
REM                         termination.  If you experience lockups, it is
REM                         most likely interference from other TSR
REM                         programs or system incompatibilities.  In this
REM                         case, use /Udir instead.
REM ***********************************************************************
REM Rem or Takeout the CEXYZ lines's if you don't use CEXYZ.EXE program
REM ***********************************************************************
REM ************************************
REM **     CEXYZ COMMAND IN USE       **
REM ************************************

cexyz.exe /P%1 /B%2 /L%3 /Udir %4 %5 %6
goto End

REM ************************************
REM **          DSZ IN USE            **
REM ************************************

IF "%4"=="/Sz"   Goto Zmodem
IF "%4"=="/Szap" Goto ZedZap
IF "%4"=="/Sy"   Goto Ymodem
IF "%4"=="/Syg"  Goto YmodemG
IF "%4"=="/Sx"   Goto Xmodem
IF "%4"=="/Sx1k" Goto Xmodem1K
GOTO END

:ZMODEM
dsz.com ha on port %1 speed %3 sz %5
GOTO End

:ZEDZAP
Echo Protocol Not available with DSZ ..
GOTO End

:YMODEM
dsz.com ha on Port %1 speed %3 sb %5
Goto End

:YMODEMG
REM ** Requires Registered Dsz **
dsz.com ha on Port %1 speed %3 sb -g %5
Goto End

:XMODEM
dsz.com ha on port %1 speed %3 sx %5
Goto End

:XMODEM1K
dsz.com ha on port %1 speed %3 sx -k %5
Goto End

:END
