@ECHO OFF
CLS
IF NOT EXIST IRONOX.EXE GOTO WRONGDIR
IF NOT EXIST OXCONFIG.EXE GOTO WRONGDIR
IF NOT EXIST SYSOP.DOC GOTO WRONGDIR
IF NOT EXIST SAMPLE.BAT GOTO WRONGDIR
IF NOT EXIST TEXT.OVR GOTO WRONGDIR
ECHO Welcome to Iron Ox version 3.00!  This batch file will help you install
ECHO Iron Ox by taking the following steps:
ECHO.
ECHO 1. Running OxConfig to make a batch file and configure your game.
ECHO 2. Running IRONOX /LOCAL /RESET to start a new Iron Ox game.
ECHO 3. Displaying instructions on what to do from there!
ECHO.
ECHO If you don't wish to install Iron Ox right now, press Ctrl-C (hold down
ECHO the Ctrl key and press 'C') to abort.  Otherwise, press any key to
ECHO continue!
ECHO.
PAUSE
CLS
ECHO About to launch OxConfig....
ECHO.
ECHO Note:  If you have an external protocol like DSZ installed, and you wish
ECHO to allow your users to download RIP icon files automatically, be sure to
ECHO visit the General Settings/General Config menu to tell Iron Ox about
ECHO your external protocol.
ECHO.
PAUSE
OXCONFIG
CLS
IF NOT EXIST IRONOX.CFG GOTO ABORTED
IRONOX /LOCAL /RESET
IF NOT EXIST MAP.DAT GOTO ABORTED
CLS
ECHO Your Iron Ox game has now been reset.  To get the game running from your
ECHO BBS, all you need to do is:
ECHO.
ECHO 1. Add a line to your nightly batch file to run IRONOX /MAINT, and
ECHO 2. Update your BBS display files so callers know it's ready to play!
ECHO.
ECHO If you didn't use the option to make a batch file in OxConfig, or if
ECHO you have any trouble getting Iron Ox to interface with your BBS, see
ECHO the file SAMPLE.BAT for example batch files.  You'll also find
ECHO detailed instructions and troubleshooting tips in the file SYSOP.DOC.
ECHO.
ECHO One more thing -- if you're connected to FidoNet, please consider
ECHO picking up the IRONOX echo from your Fido hub.  It's a great place to
ECHO get help with setup questions, to hear about new Ox leagues, and to let
ECHO your users get playing tips from the pros.
ECHO.
ECHO Enjoy the game!
ECHO.
GOTO END
:WRONGDIR
CLS
ECHO Error:  Required installation files not found!  If you have run this
ECHO batch file from a directory other than the one where you unpacked Iron
ECHO Ox, please change to your Iron Ox directory and try again.  If you are
ECHO already in your Iron Ox directory, your Iron Ox archive is missing
ECHO important files!  Please contact the game author at Fido 1:202/704 or
ECHO Internet joel@dreamcty.cts.com for a complete copy of the game!
ECHO.
GOTO END
:ABORTED
CLS
ECHO Your installation of Iron Ox was aborted or encountered a problem.  You
ECHO will need to run the installation again before the game will be
ECHO playable.  If you're having problems, please feel free to contact the
ECHO author by any of the means listed in SYSOP.DOC for assistance!
ECHO.
:END
